- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Members

Public Member Functions
tvec4< T > Struct Template Reference
Template types

Basic 4D vector type. More...

List of all members.

## Public Member Functions
template<typename A , typename B , typename C >
GLM_FUNC_DECL | tvec4 (A const &s1, tref2< B > const &v, C const &s2)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (tref3< A > const &v, B const &s)
template<typename U >
GLM_FUNC_DECL | tvec4 (U const &x)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (tref2< A > const &v1, tref2< B > const &v2)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (tref2< A > const &v1, tvec2< B > const &v2)
template<typename A , typename B , typename C >
GLM_FUNC_DECL | tvec4 (tvec2< A > const &v, B const &s1, C const &s2)
template<typename A , typename B , typename C >
GLM_FUNC_DECL | tvec4 (A const &s1, B const &s2, tref2< C > const &v)
template<typename A , typename B , typename C , typename D >
GLM_FUNC_DECL | tvec4 (A const &x, B const &y, C const &z, D const &w)
template<typename A , typename B , typename C >
GLM_FUNC_DECL | tvec4 (A const &s1, tvec2< B > const &v, C const &s2)
template<typename A , typename B , typename C >
GLM_FUNC_DECL | tvec4 (A const &s1, B const &s2, tvec2< C > const &v)
template<typename U >
GLM_FUNC_DECL | tvec4 (tvec4< U > const &v)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (tvec2< A > const &v1, tvec2< B > const &v2)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (tvec3< A > const &v, B const &s)
template<typename A , typename B , typename C >
GLM_FUNC_DECL | tvec4 (tref2< A > const &v, B const &s1, C const &s2)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (A const &s, tvec3< B > const &v)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (tvec2< A > const &v1, tref2< B > const &v2)
template<typename A , typename B >
GLM_FUNC_DECL | tvec4 (A const &s, tref3< B > const &v)

## Detailed Description

### template<typename T>
struct glm::detail::tvec4< T >

Basic 4D vector type.

Definition at line 31 of file type_vec4.hpp.